#ifndef _OPTIONCONFIG_H_
#define _OPTIONCONFIG_H_

#include "koinput.h"

#if 0
typedef struct _OptionAuxData {
	Widget  wdtShell;
        Widget  wdtSelectedList;
        Widget  wdtOptionsList;
        Widget  wdtArgsButton[MAX_ARGS_NUM];
        Option_Pair *pOptions;
	Widget	wdtKeyboardLayouts[3];
	Widget	wdtHanjaConversionFormats[3];
	Widget	wdtCommitByCharBasis;
/*	Widget	wdtDelByJasoUnit; */
	Widget	wdtAutoCommitOnSingleCandidate;
        int     nIME_id;
	XmFontList fontList;

} OptionAuxData;
#endif

typedef struct _IMEOption_Item_ {
	char 		*ime_ename;
	char 		*ime_kname;
	CARD16		opt_value;
	IMEArgListRec	*args_list; 
} IMEOption_Item;

extern void OptionPairsList_Init();
extern void Get_OptionsList_From_Profile();
extern void OptionPairsList_Free();
extern void Add_OptionItem_To_List(IMEOption_Item *);
/*
extern void Save_OptionsList_To_Profile(OptionAuxData *);
*/

#endif /* _OPTIONCONFIG_H_ */
